Skip to main content
POST
/
v2
/
standard
/
order
/
refund
Checkout Refund V2
curl --request POST \
  --url http://sandbox.mintlify.com/v2/standard/order/refund \
  --header 'Content-Type: application/json' \
  --header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
  --header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
  --header 'X-GatePay-Signature: <x-gatepay-signature>' \
  --header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
  --data '
{
  "prepayId": "35214673103159414",
  "refundRequestId": "202508271923022",
  "refundAmount": "0.018",
  "refundReason": "bourne-test"
}
'
{
  "code": "000000",
  "data": {
    "refundRequestId": "202508271923022",
    "refundGateId": "1991045981847818240",
    "prepayId": "35214673103159414",
    "orderAmount": "10",
    "refundAmount": "0.018",
    "errMsg": "",
    "orderCurrency": "USDT",
    "payCurrency": "USDT",
    "payAmount": "0.018"
  },
  "status": "SUCCESS",
  "errorMessage": ""
}

Headers

X-GatePay-Certificate-ClientId
string
required

Merchant client ID, obtained from GatePay platform

Example:

"4186d0c6-6a35-55a9-8dc6-5312769dbff8"

X-GatePay-Signature
string
required

HMAC-SHA256 signature for request validation

Example:

"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8a2ec24c97fa6fc5d1533dd6e968863747e1d86a45e562cbe899f9ed7e9ca7f77"

X-GatePay-Timestamp
string
required

Timestamp in milliseconds, must not differ from server time by more than 5 minutes

Example:

"1672905655498"

X-GatePay-Nonce
string
required

Random nonce for replay attack prevention

Example:

"9578"

Body

application/json

Refund V2 request parameters

refundRequestId
string
required

Merchant refund request ID

prepayId
string
required

Pre-order ID

refundAmount
string
required

Refund amount

refundReason
string
required

Reason for refund

refundStyle
integer<int64>

1: Original, 2: Specified

refundPayChannel
integer<int64>

1: Gate, 2: Web3

refundToGateUid
string

Gate user ID for refund recipient

refundChain
string

Chain for refund

refundBearType
string

1: Merchant, 2: User

memo
string

Memo

refundAmountTypeFull
string

1: Full, 2: Partial

needNotify
boolean

Whether to send notification

refundLimit
boolean

Refund limit flag

refundCurrency
string

Refund currency

refundFundStatementId
integer<int64>

Refund fund statement ID

refundSource
integer<int64>

0: Order, 1: Transaction

Response

200 - application/json

Refund request submitted

status
string

Response status

code
string

Response code

errorMessage
string

Error message

data
object